#include <stdio.h>
#include <stdlib.h>
#include "complex.h"
#include "complexPoly.h"

int main()
{
    int deg, i;
    ComplexT *poly, *res, val;
    printf("Degree of polynomial:");
    scanf("%d", &deg);
    poly = (ComplexT *)calloc(deg + 1, sizeof(ComplexT));
    if (!poly)
    {
        fprintf(stderr, "No memory\n");
        exit(1);
    }
    //read coefficeints of polynomial
    for (i = deg; i >=0; i--)
    {
        printf("a[%d].re=", i);
        scanf("%f", &(poly[i].re));
        printf("a[%d].im=", i);
        scanf("%f", &(poly[i].im));
    }
    printPoly(poly, deg);
    // read point of evaluation
    printf("Point for evaluation:\n");
    printf("val.re=");
    scanf("%f", &val.re);
    printf("val.im=");
    scanf("%f", &val.im);
    // evaluate poly
    res = Horner(poly, deg, &val);
    printf("Value of polynomial %f + %fi on is: %f + %fi\n",
           val.re, val.im, res->re, res->im);
    free(res);
    return 0;
}
